Bug 991154

Summary: Validate NSS passphrase on startup
Product: [Fedora] Fedora Reporter: Miloslav Trmač <mitr>
Component: sigulAssignee: Patrick Uiterwijk <puiterwijk>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: kevin, mitr
Target Milestone: ---Keywords: FutureFeature, Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: sigul-0.202 sigul-0.202-3.fc25 sigul-0.202-0.fc24 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-12-12 23:55:43 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Miloslav Trmač 2013-08-01 18:20:04 UTC
Description of problem:
Currently, utils.nss_init sets a password callback, but we don't tell the user that it fails until NSS asks for a password-protected data.

Validating it immediately would be more friendly (... and mask some cases where NSS seems to return an invalid error code).

This should work:
>>> import nss.nss
>>> def _password_callback(unused_slot, retry):
...     if not retry: return 'foobarx'
...     return None
>>> nss.nss.nss_init('.')
>>> s = nss.nss.get_internal_key_slot()
>>> s.authenticate()
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
nss.error.NSPRError: Unable to authenticate: (SEC_ERROR_BAD_PASSWORD) The security password entered is incorrect.

Comment 1 Fedora End Of Life 2013-09-16 14:57:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 2 Fedora End Of Life 2015-05-29 09:14:03 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2016-07-19 10:16:17 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Fedora Admin XMLRPC Client 2016-08-09 14:55:14 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Patrick Uiterwijk 2016-10-01 19:48:19 UTC
This has been merged upstream and will be in the next Sigul release.

Comment 6 Fedora Update System 2016-10-30 21:34:53 UTC
sigul-0.202-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bf3b4fc529

Comment 7 Fedora Update System 2016-10-30 21:35:03 UTC
sigul-0.202-0.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-05345bee7d

Comment 8 Fedora Update System 2016-10-31 08:52:09 UTC
sigul-0.202-0.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-05345bee7d

Comment 9 Fedora Update System 2016-10-31 10:23:15 UTC
sigul-0.202-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bf3b4fc529

Comment 10 Fedora Update System 2016-12-12 23:55:43 UTC
sigul-0.202-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-12-13 02:24:42 UTC
sigul-0.202-0.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.